--- old/usr/src/uts/sun4v/os/suspend.c	2014-01-03 22:11:58.374350667 -0500
+++ new/usr/src/uts/sun4v/os/suspend.c	2014-01-03 22:11:58.380864711 -0500
@@ -389,7 +389,7 @@
 	 * inactive in their PGs and shouldn't be reactivated, so we must
 	 * not call pg_cpu_inactive or pg_cpu_active for those CPUs.
 	 */
-	pause_cpus(NULL);
+	pause_cpus(NULL, NULL);
 	for (id = 0; id < NCPU; id++) {
 		if ((cp = cpu_get(id)) == NULL)
 			continue;
@@ -430,7 +430,7 @@
 	 * system, replace the bootstrapped PG structure with the
 	 * initialized PG structure and call pg_cpu_active for each CPU.
 	 */
-	pause_cpus(NULL);
+	pause_cpus(NULL, NULL);
 	for (id = 0; id < NCPU; id++) {
 		if ((cp = cpu_get(id)) == NULL)
 			continue;
@@ -615,7 +615,7 @@
 	mutex_exit(&tod_lock);
 
 	/* Pause all other CPUs */
-	pause_cpus(NULL);
+	pause_cpus(NULL, NULL);
 	DBG_PROM("suspend: CPUs paused\n");
 
 	/* Suspend cyclics */
